Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.mock.web.portlet
Class MockResourceURL

    java.lang.Object
      org.springframework.mock.web.portlet.MockBaseURL
          org.springframework.mock.web.portlet.MockResourceURL

All Implemented Interfaces:
  javax.portlet.BaseURL, javax.portlet.ResourceURL

    public class MockResourceURL

extends MockBaseURL
implements javax.portlet.ResourceURL

Mock implementation of the `ResourceURL` interface.

Since:
  3.0
Author:
  Juergen Hoeller

Field Summary

Fields inherited from class org.springframework.mock.web.portlet.MockBaseURL
`parameters, URL_TYPE_ACTION, URL_TYPE_RENDER`

Fields inherited from interface javax.portlet.ResourceURL
`FULL, PAGE, PORTLET, SHARED`

Constructor Summary
`MockResourceURL()`

Method Summary
`java.lang.String` | `getCacheability()`
`java.lang.String` | `getResourceID()`
`void` | `setCacheability(java.lang.String cacheLevel)`
`void` | `setResourceID(java.lang.String resourceID)`
`java.lang.String` | `toString()`

Methods inherited from class org.springframework.mock.web.portlet.MockBaseURL
`addProperty, encodeParameter, encodeParameter, getParameter, getParameterMap, getParameterNames, getParameterValues, getProperties, isSecure, setParameter, setParameter, setParameters, setProperty, setSecure, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.portlet.BaseURL
`addProperty, getParameterMap, setParameter, setParameter, setParameters, setProperty, setSecure, write, write`

Constructor Detail

### MockResourceURL

    public MockResourceURL()

Method Detail

### setResourceID

    public void setResourceID(java.lang.String resourceID)

  Specified by:
    `setResourceID` in interface `javax.portlet.ResourceURL`

### getResourceID

    public java.lang.String getResourceID()

### setCacheability

    public void setCacheability(java.lang.String cacheLevel)

  Specified by:
    `setCacheability` in interface `javax.portlet.ResourceURL`

### getCacheability

    public java.lang.String getCacheability()

  Specified by:
    `getCacheability` in interface `javax.portlet.ResourceURL`

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in interface `javax.portlet.BaseURL`
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD